# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlut/Applet.hpp File Reference

`#include "vl/UIEventListener.hpp"`
`#include "vl/TrackballManipulator.hpp"`
`#include "vl/GhostCameraManipulator.hpp"`
`#include "vl/Rendering.hpp"`
`#include "vl/SceneManagerActorTree.hpp"`

## Classes

class | vlut::Applet
| The Applet class is an utilitly UIEventListener that features a ghost manipulator, trackball manipulator, an FPS counter and a simple rendering pipeline. More...

## Namespaces

namespace | vlut
| Visualization Library utility namespace.

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.